
public class Rectangle {

	private LineSegment length;
	private LineSegment width;
	
	public Rectangle(LineSegment length, LineSegment width) throws NotAdjacentException, NotPerpendicularException {
		if (!length.isPerpendicualTo(width)) {
			throw new NotPerpendicularException("Line Segment " + length + " is not perpendicular to " + width);
		}
		
		if (!length.hasCommonEndPoint(width)) {
			throw new NotAdjacentException("Line Segment " + length + " is not adjacent to " + width);
		}
		
		this.length = length;
		this.width = width;
	}
}
