
public class Test {

	public static boolean testPoint() {
		boolean success = true;
		
		Point p = new Point(1.0, 2.0);
		
		double x = p.getX();
		if (x != 1.0) {
			System.out.println("Error   -------- x was supposed to be 1.0, instead it was " + x);
			success = false;
		}
		
		double y = p.getY();
		if (y != 2.0) {
			System.out.println("Error   -------- y was supposed to be 2.0, instead it was " + y);
			success = false;
		}
		
		if (success) {
			System.out.println("Success ---- The Point Class Constructor and Getters are working properly");
		}
		
		return success;
	}
	
	public static boolean testPointSetters() {
		boolean success = true;

		Point p = new Point(1.0, 1.0);
		p.setX(3.0);
		p.setY(5.0);
		
		double x = p.getX();
		if (x != 3.0) {
			System.out.println("Error   -------- x was supposed to be 3.0, instead it was " + x);
			success = false;
		}
		
		double y = p.getY();
		if (y != 5.0) {
			System.out.println("Error   -------- y was supposed to be 5.0, instead it was " + y);
			success = false;
		}
		
		if (success) {
			System.out.println("Success ---- The Point Class Getters & Setters are working properly");
		}
		
		return success;
	}
	
	public static boolean testPointEquals() {
		boolean success = true;

		Point p1 = new Point(1.0, 2.0);
		Point p2 = new Point(2.0, 1.0);
		Point p3 = new Point(1.0, 2.0);
		
		if (p1.equals(p2)) {
			System.out.println("Error   -------- p1 = " + p1 + " should not be equal to p2 = " + p2);
			success = false;
		}
		
		if (!p1.equals(p3)) {
			System.out.println("Error   -------- p1 = " + p1 + " should be equal to p3 = " + p3);
			success = false;
		}
		
		if (success) {
			System.out.println("Success ---- The Point Class equals method is working properly");
		}
		
		return success;
	}
 	
	public static void main(String[] args) {
		testPoint();
		testPointSetters();
		testPointEquals();
	}

}
